(function (root) {
  var exports = undefined,
      module = undefined,
      require = undefined;
  var define = undefined;
  (function () {
    let runningEnv = typeof window !== 'undefined' ? window : globalThis;

    runningEnv.HeyGameConfig = function (exports) {
      'use strict';

      class AdConfig {
        constructor() {
          this.appName = "duomaomao";
          this.debugMode = true;
          this.appId = ""; //平台获取的appid

          this.heyAppId = 3285; //heygame的appid //todo

          this.heyPlatId = 1011; //heygame平台id

          this.heySecret = "c340931d512eba177d8fd86e9ea20ee9"; // heygame平台秘钥 //todo

          this.versionName = "1.0.0";
          this.resVersion = "1.0.0";
          this.bannerAdUnitId = [""];
          this.interstitialAdUnitId = "";
          this.videoAdUnitId = "";
          this.nativeAdUnitId = [""];
          this.drawerGameAdUnitId = "";
          this.drawerGameAdTop = 500;
          this.bannerGameAdUnitId = "";
          this.appBoxUnitId = [""];
          this.blockAdUnitId = [""];
          this.shareConfig = {};
        }

      }

      class WXAdConfig extends AdConfig {
        constructor() {
          super();
          this.versionName = "1.0.0";
          this.bannerAdUnitId = ['261277'];
          this.videoAdUnitId = '261289';
        }

      }

      class OPPOAdConfig extends AdConfig {
        constructor() {
          super();
          this.versionName = "1.0.1";
          this.heyPlatId = 1011; //heygame平台id

          this.bannerAdUnitId = ['449706'];
          this.videoAdUnitId = '449716';
          this.nativeAdUnitId = ['449708', '449709', '449712', '449713'];
          this.drawerGameAdUnitId = '449718';
          this.bannerGameAdUnitId = '449720';
        }

      }

      class VIVOAdConfig extends AdConfig {
        constructor() {
          super();
          this.versionName = "1.0.0";
          this.heyPlatId = 1026; //heygame平台id

          this.bannerAdUnitId = ['2e278e37849e449a8541f4de14c4ad6f'];
          this.videoAdUnitId = '66794d28265442e3becd17ec345c78c8';
          this.interstitialAdUnitId = "afe069a3728349cca9bcaad5ddd4078b";
          this.nativeAdUnitId = ['8aefe3ebe56f490db2a03c10e6eede7c', 'cc3e8b7b68ba4564a55b2594bd8496db', '026dc57b5e2140daacdca90bb7da8ff5', 'afabd8e717fd4a94b080f2137141e130'];
        }

      }

      class TTAdConfig extends AdConfig {
        constructor() {
          super();
          this.versionName = "1.0.0";
          this.heyPlatId = 1020; //heygame平台id

          this.shareConfig = {
            TEMPLATE_ID: "34l4k5s8q93f95g4jd",
            title: "在线寻求司机指导",
            desc: "司机快来体验最真实的驾驶模拟"
          };
          this.bannerAdUnitId = ['7kafebiad93akk744f'];
          this.videoAdUnitId = '44e94dk8070dqiiiml';
          this.interstitialAdUnitId = '1b59j19ac01h14pb0o';
        }

      }

      class QQAdConfig extends AdConfig {
        constructor() {
          super();
        }

      }

      class MEIZUAdConfig extends AdConfig {
        constructor() {
          super();
          this.heyPlatId = 1058;
          this.versionName = '1.0.0';
          this.bannerAdUnitId = ['c6W2GnpT'];
          this.videoAdUnitId = 'jAqL64tf';
          this.nativeAdUnitId = ['wtbvbsOl'];
          this.interstitialAdUnitId = '1EntritE';
        }

      }

      class PCAdConfig extends AdConfig {
        constructor() {
          super();
          this.bannerAdUnitId = [''];
          this.videoAdUnitId = '';
          this.nativeAdUnitId = ['', ''];
          this.drawerGameAdUnitId = '';
          this.bannerGameAdUnitId = '';
        }

      }

      class HeyGameSDKConfig {
        constructor() {
          this._instance = null;
          this._config = null;
          this.initPlatforms();
          this.initSDKConfig();
          console.log('HeyGameSDKConfig constructor');
        }

        static get instance() {
          if (!HeyGameSDKConfig._instance) {
            HeyGameSDKConfig._instance = new HeyGameSDKConfig();
          }

          return HeyGameSDKConfig._instance;
        }

        static get AdConfig() {
          if (!HeyGameSDKConfig.instance._config) {
            HeyGameSDKConfig.instance._config = new AdConfig();
          }

          return HeyGameSDKConfig.instance._config;
        }

        init() {}

        initSDKConfig() {
          if (HeyGameSDKConfig.onWXMiniGame) {
            this._config = new WXAdConfig();
          } else if (HeyGameSDKConfig.onOPPOMiniGame) {
            this._config = new OPPOAdConfig();
          } else if (HeyGameSDKConfig.onVIVOMiniGame) {
            this._config = new VIVOAdConfig();
          } else if (HeyGameSDKConfig.onTTMiniGame) {
            this._config = new TTAdConfig();
          } else if (HeyGameSDKConfig.onQQMiniGame) {
            this._config = new QQAdConfig();
          } else if (HeyGameSDKConfig.onMEIZUMiniGame) {
            this._config = new MEIZUAdConfig();
          } else if (HeyGameSDKConfig.onHWMiniGame) {
            console.error('HeyGameSDKConfig.onHWMiniGame error');
          } else {
            this._config = new PCAdConfig();
          }
        }

        initPlatforms() {
          let u = window.navigator.userAgent;
          console.log('initPlatforms--' + JSON.stringify(u));
          HeyGameSDKConfig.onPC = true;
          return; // OPPO mini game

          if (typeof window.qg !== "undefined" && window.qg.getProvider().toLowerCase().indexOf("oppo") > -1) {
            HeyGameSDKConfig.onOPPOMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // VIVO mini game


          if (typeof window.qg !== "undefined" && window.qg.getProvider().toLowerCase().indexOf("vivo") > -1) {
            HeyGameSDKConfig.onVIVOMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // QQ mini game


          if (typeof window.qq !== "undefined") {
            HeyGameSDKConfig.onQQMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // tt mini game


          if (typeof window.tt !== "undefined") {
            HeyGameSDKConfig.onTTMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // meizu mini game


          if (typeof window.mz !== "undefined" && window.mz.getProvider().toLowerCase().indexOf("meizu") > -1) {
            HeyGameSDKConfig.onMEIZUMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // WeiXin mini game


          if (typeof window.wx !== "undefined") {
            HeyGameSDKConfig.onWXMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // HuaWei mini game


          if (typeof window.hbs !== "undefined") {
            HeyGameSDKConfig.onHWMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } // 4399 mini game


          if (typeof window.gamebox !== "undefined") {
            HeyGameSDKConfig.onSSJJMiniGame = true;
            HeyGameSDKConfig.onPC = false;
            return;
          } //Android


          if (typeof window.jsb !== "undefined" || typeof window.conch !== "undefined" || window["DBApp"] != null) {
            HeyGameSDKConfig.onAndroidAPK = true;
            HeyGameSDKConfig.onPC = false;
          }
        }

      }

      exports.HeyGameSDKConfig = HeyGameSDKConfig;
      return exports;
    }({});
  }).call(root);
})( // The environment-specific global.
function () {
  if (typeof globalThis !== 'undefined') return globalThis;
  if (typeof self !== 'undefined') return self;
  if (typeof window !== 'undefined') return window;
  if (typeof global !== 'undefined') return global;
  if (typeof this !== 'undefined') return this;
  return {};
}.call(this));